Log4j Version 1.2.7: Class ConsoleAppender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j
Class ConsoleAppender

    java.lang.Object
      |
      +--org.apache.log4j.AppenderSkeleton
            |
            +--org.apache.log4j.WriterAppender
                  |
                  +--org.apache.log4j.ConsoleAppender

All Implemented Interfaces:
  Appender, OptionHandler

public class ConsoleAppender
extends WriterAppender

ConsoleAppender appends log events to `System.out` or `System.err` using a layout specified by the user. The default target is `System.out`.

Since:
  1.1
Author:
  Ceki Gülcü

Field Summary
`static String` | `SYSTEM_ERR`
`static String` | `SYSTEM_OUT`
`protected String` | `target`

Fields inherited from class org.apache.log4j.WriterAppender
`encoding, immediateFlush, qw`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`ConsoleAppender()` The default constructor does nothing.
`ConsoleAppender(Layout layout)`
`ConsoleAppender(Layout layout, String target)`

Method Summary
`void` | `activateOptions()` Does nothing.
`protected void` | `closeWriter()` This method overrides the parent `WriterAppender.closeWriter()` implementation to do nothing because the console stream is not ours to close.
`String` | `getTarget()` Returns the current value of the Target property.
`void` | `setTarget(String value)` Sets the value of the Target option.

Methods inherited from class org.apache.log4j.WriterAppender
`append, checkEntryConditions, close, createWriter, getEncoding, getImmediateFlush, requiresLayout, reset, setEncoding, setErrorHandler, setImmediateFlush, setWriter, subAppend, writeFooter, writeHeader`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM_OUT

    public static final String SYSTEM_OUT

### SYSTEM_ERR

    public static final String SYSTEM_ERR

### target

    protected String target

Constructor Detail

### ConsoleAppender

    public ConsoleAppender()

  The default constructor does nothing.

### ConsoleAppender

    public ConsoleAppender(Layout layout)

### ConsoleAppender

    public ConsoleAppender(Layout layout,
                           String target)

Method Detail

### setTarget

    public void setTarget(String value)

  Sets the value of the Target option. Recognized values are "System.out" and "System.err". Any other value will be ignored.

### getTarget

    public String getTarget()

  Returns the current value of the Target property. The default value of the option is "System.out". See also `setTarget(java.lang.String)`.

### activateOptions

    public void activateOptions()

  Description copied from class: `WriterAppender`
  Does nothing.
  Overrides:
    `activateOptions` in class `WriterAppender`

### closeWriter

    protected final void closeWriter()

  This method overrides the parent `WriterAppender.closeWriter()` implementation to do nothing because the console stream is not ours to close.
  Overrides:
    `closeWriter` in class `WriterAppender`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.